summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: ee4f06c)
raw | patch | inline | side by side (parent: ee4f06c)
author | Lars Hjemli <hjemli@gmail.com> | |
Mon, 18 Feb 2008 10:44:19 +0000 (11:44 +0100) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Tue, 19 Feb 2008 05:53:44 +0000 (21:53 -0800) |
Using 'git rev-parse --git-dir' makes the code shorter and more future-
proof.
Signed-off-by: Lars Hjemli <hjemli@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
proof.
Signed-off-by: Lars Hjemli <hjemli@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-sh-setup.sh | patch | blob | history |
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index f38827529f2fd60743f5571948742fada975cf93..a44b1c74a38d6310d7a1bde969cbbcb51f977188 100755 (executable)
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
# if we require to be in a git repository.
if test -z "$NONGIT_OK"
then
+ GIT_DIR=$(git rev-parse --git-dir) || exit
if [ -z "$SUBDIRECTORY_OK" ]
then
- : ${GIT_DIR=.git}
test -z "$(git rev-parse --show-cdup)" || {
exit=$?
echo >&2 "You need to run this command from the toplevel of the working tree."
exit $exit
}
- else
- GIT_DIR=$(git rev-parse --git-dir) || {
- exit=$?
- echo >&2 "Failed to find a valid git directory."
- exit $exit
- }
fi
test -n "$GIT_DIR" && GIT_DIR=$(cd "$GIT_DIR" && pwd) || {
echo >&2 "Unable to determine absolute path of git directory"